local lsp_status = require("lsp-status")
lsp_status.register_progress()
lsp_status.config({
    indicator_errors = "❌",
    indicator_warnings = "⚠️ ",
    indicator_info = "ℹ️ ",
    -- https://emojipedia.org/tips/
    indicator_hint = "💡",
    indicator_ok = "✅",
})

require("lspconfig").clangd.setup({
    filetypes = { "c", "cpp", "objc", "objcpp", "cuda" },
    handlers = lsp_status.extensions.clangd.setup(),
    init_options = {
        clangdFileStatus = true,
    },
    capabilities = lsp_status.capabilities,
})
