--Enable (broadcasting) snippet capability for completion
local capabilities = vim.lsp.protocol.make_client_capabilities()
capabilities.textDocument.completion.completionItem.snippetSupport = true

require("lspconfig").jsonls.setup({
    capabilities = capabilities,
})

require("lspconfig").taplo.setup({})

require("lspconfig").yamlls.setup({
    capabilities = capabilities,
    settings = {
        yaml = {
            schemas = {
                ["https://json.schemastore.org/golangci-lint.json"] = ".golangci.yaml",
                ["https://json.schemastore.org/yamllint.json"] = ".protolint.yaml",
                ["https://raw.githubusercontent.com/instrumenta/kubernetes-json-schema/master/v1.18.0-standalone-strict/all.json"] = "/*.k8s.yaml",
            },
            schemaStore = { enable = true },
            format = { enable = true },
            completion = true,
        },
    },
})
